package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.*;
import com.ym.mec.biz.dal.entity.MusicGroupPaymentCalender.PayUserType;
import com.ym.mec.biz.dal.entity.MusicGroupPaymentCalender.PaymentType;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;

public class MusicGroupPaymentBaseCalender {
	@ApiModelProperty(value = "是否继续操作", required = true)
	private Boolean confirmCreate = false;

	private Long calenderId;

	@ApiModelProperty(value = "乐团编号", required = true)
	private String musicGroupId;

	private MusicGroup musicGroup;

	private Integer musicGroupOrganizationCourseSettingId;

	@ApiModelProperty(value = "学校缴费、个人缴费", required = true)
	private PayUserType payUserType;

	@ApiModelProperty(value = "缴费类型", required = false)
	private PaymentType paymentType;

	@ApiModelProperty(value = "缴费开始时间", required = true)
	private Date startPaymentDate;

	@ApiModelProperty(value = "缴费截止时间", required = true)
	private Date deadlinePaymentDate;

	@ApiModelProperty(value = "备注", required = true)
	private String memo;

	@ApiModelProperty(value = "批次号", required = false)
	private String batchNo;

	@ApiModelProperty(value = "会员相关缴费信息", required = false)
	private MusicGroupPaymentCalenderMember calenderMember;

	@ApiModelProperty(value = "乐保信息", required = false)
	private MusicGroupPaymentCalenderRepair musicRepair;

	@ApiModelProperty(value = "乐团活动相关信息（vip、网管课）", required = false)
	private List<MusicGroupPaymentCalenderActivity> calenderActivityList;

	@ApiModelProperty(value = "乐团课程信息", required = false)
	private List<MusicGroupPaymentCalenderCourseSettings> musicGroupPaymentCalenderCourseSettingsList;

	@ApiModelProperty(value = "进行中加学员拓展信息", required = false)
	private CalenderAddStudent calenderAddStudent;

	public Boolean getConfirmCreate() {
		return confirmCreate;
	}

	public void setConfirmCreate(Boolean confirmCreate) {
		this.confirmCreate = confirmCreate;
	}

	public Long getCalenderId() {
		return calenderId;
	}

	public void setCalenderId(Long calenderId) {
		this.calenderId = calenderId;
	}

	public CalenderAddStudent getCalenderAddStudent() {
		return calenderAddStudent;
	}

	public void setCalenderAddStudent(CalenderAddStudent calenderAddStudent) {
		this.calenderAddStudent = calenderAddStudent;
	}

	public List<MusicGroupPaymentCalenderActivity> getCalenderActivityList() {
		return calenderActivityList;
	}

	public void setCalenderActivityList(List<MusicGroupPaymentCalenderActivity> calenderActivityList) {
		this.calenderActivityList = calenderActivityList;
	}

	public MusicGroupPaymentCalenderRepair getMusicRepair() {
		return musicRepair;
	}

	public void setMusicRepair(MusicGroupPaymentCalenderRepair musicRepair) {
		this.musicRepair = musicRepair;
	}

	public MusicGroup getMusicGroup() {
		return musicGroup;
	}

	public void setMusicGroup(MusicGroup musicGroup) {
		this.musicGroup = musicGroup;
	}

	public Date getStartPaymentDate() {
		return startPaymentDate;
	}

	public void setStartPaymentDate(Date startPaymentDate) {
		this.startPaymentDate = startPaymentDate;
	}

	public Date getDeadlinePaymentDate() {
		return deadlinePaymentDate;
	}

	public void setDeadlinePaymentDate(Date deadlinePaymentDate) {
		this.deadlinePaymentDate = deadlinePaymentDate;
	}

	public MusicGroupPaymentCalenderMember getCalenderMember() {
		return calenderMember;
	}

	public void setCalenderMember(MusicGroupPaymentCalenderMember calenderMember) {
		this.calenderMember = calenderMember;
	}

	public String getMusicGroupId() {
		return musicGroupId;
	}

	public void setMusicGroupId(String musicGroupId) {
		this.musicGroupId = musicGroupId;
	}

	public Integer getMusicGroupOrganizationCourseSettingId() {
		return musicGroupOrganizationCourseSettingId;
	}

	public void setMusicGroupOrganizationCourseSettingId(Integer musicGroupOrganizationCourseSettingId) {
		this.musicGroupOrganizationCourseSettingId = musicGroupOrganizationCourseSettingId;
	}

	public PayUserType getPayUserType() {
		return payUserType;
	}

	public void setPayUserType(PayUserType payUserType) {
		this.payUserType = payUserType;
	}

	public PaymentType getPaymentType() {
		return paymentType;
	}

	public void setPaymentType(PaymentType paymentType) {
		this.paymentType = paymentType;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public List<MusicGroupPaymentCalenderCourseSettings> getMusicGroupPaymentCalenderCourseSettingsList() {
		return musicGroupPaymentCalenderCourseSettingsList;
	}

	public void setMusicGroupPaymentCalenderCourseSettingsList(List<MusicGroupPaymentCalenderCourseSettings> musicGroupPaymentCalenderCourseSettingsList) {
		this.musicGroupPaymentCalenderCourseSettingsList = musicGroupPaymentCalenderCourseSettingsList;
	}

	public String getBatchNo() {
		return batchNo;
	}

	public void setBatchNo(String batchNo) {
		this.batchNo = batchNo;
	}
}
